/*******************************************************************************
  MPLAB Harmony Graphics Composer Generated Definitions Header

  File Name:
    libaria_events.h

  Summary:
    Build-time generated definitions header based on output by the MPLAB Harmony
    Graphics Composer.

  Description:
    Build-time generated definitions header based on output by the MPLAB Harmony
    Graphics Composer.

    Created with MPLAB Harmony Version 2.05
*******************************************************************************/

// DOM-IGNORE-BEGIN
/*******************************************************************************
Copyright (c) 2013-2014 released Microchip Technology Inc.  All rights reserved.

Microchip licenses to you the right to use, modify, copy and distribute
Software only when embedded on a Microchip microcontroller or digital signal
controller that is integrated into your product or third party product
(pursuant to the sublicense terms in the accompanying license agreement).

You should refer to the license agreement accompanying this Software for
additional information regarding your rights and obligations.

SOFTWARE AND DOCUMENTATION ARE PROVIDED AS IS WITHOUT WARRANTY OF ANY KIND,
EITHER EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY WARRANTY OF
MERCHANTABILITY, TITLE, NON-INFRINGEMENT AND FITNESS FOR A PARTICULAR PURPOSE.
IN NO EVENT SHALL MICROCHIP OR ITS LICENSORS BE LIABLE OR OBLIGATED UNDER
CONTRACT, NEGLIGENCE, STRICT LIABILITY, CONTRIBUTION, BREACH OF WARRANTY, OR
OTHER LEGAL EQUITABLE THEORY ANY DIRECT OR INDIRECT DAMAGES OR EXPENSES
INCLUDING BUT NOT LIMITED TO ANY INCIDENTAL, SPECIAL, INDIRECT, PUNITIVE OR
CONSEQUENTIAL DAMAGES, LOST PROFITS OR LOST DATA, COST OF PROCUREMENT OF
SUBSTITUTE GOODS, TECHNOLOGY, SERVICES, OR ANY CLAIMS BY THIRD PARTIES
(INCLUDING BUT NOT LIMITED TO ANY DEFENSE THEREOF), OR OTHER SIMILAR COSTS.
*******************************************************************************/
// DOM-IGNORE-END

#ifndef _LIBARIA_EVENTS_H
#define _LIBARIA_EVENTS_H

#include "gfx/libaria/libaria.h"
#include "gfx/libaria/libaria_init.h"

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility

extern "C" {

#endif
// DOM-IGNORE-END 

// Generated Event Handler - Origin: ButtonWidget13, Event: ReleasedEvent
void ButtonWidget13_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget14, Event: ReleasedEvent
void ButtonWidget14_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget15, Event: ReleasedEvent
void ButtonWidget15_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget16, Event: ReleasedEvent
void ButtonWidget16_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget17, Event: ReleasedEvent
void ButtonWidget17_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget18, Event: ReleasedEvent
void ButtonWidget18_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget19, Event: ReleasedEvent
void ButtonWidget19_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget29, Event: ReleasedEvent
void ButtonWidget29_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget1, Event: ReleasedEvent
void ButtonWidget1_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget7, Event: ReleasedEvent
void ButtonWidget7_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ListWheel1, Event: SelectedItemChangedEvent
void ListWheel1_SelectedItemChangedEvent(laListWheelWidget* whl, uint32_t idx);

// Generated Event Handler - Origin: ButtonWidget30, Event: ReleasedEvent
void ButtonWidget30_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget2, Event: ReleasedEvent
void ButtonWidget2_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget3, Event: ReleasedEvent
void ButtonWidget3_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget31, Event: ReleasedEvent
void ButtonWidget31_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: KeyPadWidget1, Event: KeyClickEvent
void KeyPadWidget1_KeyClickEvent(laKeyPadWidget* pad, laButtonWidget* btn, uint32_t row, uint32_t col);

// Generated Event Handler - Origin: ButtonWidget5, Event: ReleasedEvent
void ButtonWidget5_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget6, Event: ReleasedEvent
void ButtonWidget6_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget32, Event: ReleasedEvent
void ButtonWidget32_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: FourthScreen, Event: ShowEvent
void FourthScreen_ShowEvent(laScreen* scr);

// Generated Event Handler - Origin: FourthScreen, Event: HideEvent
void FourthScreen_HideEvent(laScreen* scr);

// Generated Event Handler - Origin: SliderWidget1, Event: ValueChangedEvent
void SliderWidget1_ValueChangedEvent(laSliderWidget* sld);

// Generated Event Handler - Origin: ButtonWidget4, Event: ReleasedEvent
void ButtonWidget4_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget8, Event: ReleasedEvent
void ButtonWidget8_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget33, Event: ReleasedEvent
void ButtonWidget33_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: SliderUpButtonWidget, Event: ReleasedEvent
void SliderUpButtonWidget_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: SliderDownButtonWidget, Event: ReleasedEvent
void SliderDownButtonWidget_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: FifthScreen, Event: HideEvent
void FifthScreen_HideEvent(laScreen* scr);

// Generated Event Handler - Origin: ButtonWidget9, Event: ReleasedEvent
void ButtonWidget9_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget11, Event: ReleasedEvent
void ButtonWidget11_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget10, Event: ReleasedEvent
void ButtonWidget10_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget20, Event: ReleasedEvent
void ButtonWidget20_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget21, Event: PressedEvent
void ButtonWidget21_PressedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget21, Event: ReleasedEvent
void ButtonWidget21_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget22, Event: PressedEvent
void ButtonWidget22_PressedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget22, Event: ReleasedEvent
void ButtonWidget22_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: SettingsScreen, Event: ShowEvent
void SettingsScreen_ShowEvent(laScreen* scr);

// Generated Event Handler - Origin: ButtonWidget12, Event: ReleasedEvent
void ButtonWidget12_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: RadioButtonEnglish, Event: CheckedEvent
void RadioButtonEnglish_CheckedEvent(laRadioButtonWidget* cbox);

// Generated Event Handler - Origin: RadioButtonChinese, Event: CheckedEvent
void RadioButtonChinese_CheckedEvent(laRadioButtonWidget* cbox);

// Generated Event Handler - Origin: ButtonWidget23, Event: ReleasedEvent
void ButtonWidget23_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget24, Event: ReleasedEvent
void ButtonWidget24_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget25, Event: ReleasedEvent
void ButtonWidget25_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget26, Event: ReleasedEvent
void ButtonWidget26_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget27, Event: ReleasedEvent
void ButtonWidget27_ReleasedEvent(laButtonWidget* btn);

// Generated Event Handler - Origin: ButtonWidget28, Event: ReleasedEvent
void ButtonWidget28_ReleasedEvent(laButtonWidget* btn);



//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif // _LIBARIA_EVENTS_H
/*******************************************************************************
 End of File
*/
